For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customers

Buscar configuração de tela nativa "Clientes" (Vendedor)

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200

OK

application/json
banner_idstringOpcional
customer_table_idstringOpcional
customer_table_database_idstringOpcional
get/portals/sellers/customers
GET /api/b2b/portals/sellers/customers HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "banner_id": "text",
  "customer_table_id": "text",
  "customer_table_database_id": "text",
  "details": {
    "customer_detailed_information_title": "text",
    "customer_detail_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "field_title": "text",
        "field_icon": "text",
        "field_mask": "text"
      }
    ],
    "customer_purchased_type": "text",
    "most_purchased_products_active": true,
    "latest_orders_table_id": "text",
    "financial_table_id": "text"
  },
  "new_client": {
    "enable": true,
    "title": "text",
    "additional_form_id": "text",
    "automation_id": "text",
    "webhook_id": "text"
  }
}

Atualizar configuração de tela nativa "Clientes" (Vendedor)

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
banner_idstringOpcional
customer_table_idstringOpcional
Respostas
200

OK

application/json
banner_idstringOpcional
customer_table_idstringOpcional
customer_table_database_idstringOpcional
put/portals/sellers/customers
PUT /api/b2b/portals/sellers/customers HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 489

{
  "banner_id": "text",
  "customer_table_id": "text",
  "details": {
    "customer_detailed_information_title": "text",
    "customer_detail_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "field_title": "text",
        "field_icon": "text",
        "field_mask": "text"
      }
    ],
    "customer_purchased_type": "text",
    "most_purchased_products_active": true,
    "latest_orders_table_id": "text",
    "financial_table_id": "text"
  },
  "new_client": {
    "enable": true,
    "title": "text",
    "additional_form_id": "text",
    "automation_id": "text",
    "webhook_id": "text"
  }
}
{
  "banner_id": "text",
  "customer_table_id": "text",
  "customer_table_database_id": "text",
  "details": {
    "customer_detailed_information_title": "text",
    "customer_detail_fields": [
      {
        "id": "text",
        "order": 1,
        "database_field_id": "text",
        "field_title": "text",
        "field_icon": "text",
        "field_mask": "text"
      }
    ],
    "customer_purchased_type": "text",
    "most_purchased_products_active": true,
    "latest_orders_table_id": "text",
    "financial_table_id": "text"
  },
  "new_client": {
    "enable": true,
    "title": "text",
    "additional_form_id": "text",
    "automation_id": "text",
    "webhook_id": "text"
  }
}